Subject: Re: Possible git-diff bug when using exit-code with diff filters

From: Junio C Hamano <[email-masked]>
Date: Sun, 21 Apr 2024 12:09:00 -0700

<[email-masked]> writes:

> On Sunday, April 21, 2024 2:18 PM, Junio C Hamano wrote:
>>René Scharfe <[email-masked]> writes:
>>
>>> You can more easily reproduce it by setting the environment variable
>>> GIT_EXTERNAL_DIFF or the configuration setting diff.external -- no
>>> attributes needed.
>>
>>Indeed.
>>
>>A much simpler fix may be to declare that these two features are imcompatible and
>>fail the execution upfront, instead of just silently ignoring one of the two options.
>>
>>As a person who is very much used to the external diff not contributing to the exit
>>status (who also invented the external diff driver interface), I would be a wrong
>>person to judge if such a simplified approach is desirable, of course, but just
>>throwing it out as a food for thought.
>
> My suggestion would be to keep with a priority approach, where
> GIT_EXTERNAL_DIFF overrides diff.external, assuming they set hold
> to the same specification (the git-config page implies they do)
> and GIT_EXTERNAL_DIFF overrides diff.external as I would expect.

Nobody in this discussion thread is hinting to change that, so I am
a bit confused where the above suggestion comes from...